Loading...
Searching...
No Matches
Magick::PathQuadraticCurvetoArgs Class Reference

## Public Member Functions

| PathQuadraticCurvetoArgs (double x1_, double y1_, double x_, double y_)
| PathQuadraticCurvetoArgs (const PathQuadraticCurvetoArgs &original_)
void | x1 (double x1_)
double | x1 (void) const
void | y1 (double y1_)
double | y1 (void) const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const

## Private Attributes

double | _x1
double | _y1
double | _x
double | _y

## Detailed Description

Definition at line 2742 of file Drawable.h.

## Constructor & Destructor Documentation

## PathQuadraticCurvetoArgs() [1/3]

Magick::PathQuadraticCurvetoArgs::PathQuadraticCurvetoArgs | ( | void |  | ) |

Definition at line 2156 of file Drawable.cpp.

: _x1(0),
_y1(0),
_x(0),
_y(0)
{
}

## PathQuadraticCurvetoArgs() [2/3]

Magick::PathQuadraticCurvetoArgs::PathQuadraticCurvetoArgs | ( | double | x1_,
|  | double | y1_,
|  | double | x_,
|  | double | y_ )

Definition at line 2164 of file Drawable.cpp.

: _x1(x1_),
_y1(y1_),
_x(x_),
_y(y_)
{
}

## PathQuadraticCurvetoArgs() [3/3]

Magick::PathQuadraticCurvetoArgs::PathQuadraticCurvetoArgs | ( | const PathQuadraticCurvetoArgs & | original_ | ) |

Definition at line 2175 of file Drawable.cpp.

: _x1(original_._x1),
_y1(original_._y1),
_x(original_._x),
_y(original_._y)
{
}

## ~PathQuadraticCurvetoArgs()

Magick::PathQuadraticCurvetoArgs::~PathQuadraticCurvetoArgs | ( | void |  | ) |

Definition at line 2183 of file Drawable.cpp.

{
}

## Member Function Documentation

## x() [1/2]

void Magick::PathQuadraticCurvetoArgs::x | ( | double | x_ | ) |

inline

Definition at line 2772 of file Drawable.h.

{
_x = x_;
}

## x() [2/2]

double Magick::PathQuadraticCurvetoArgs::x | ( | void |  | ) | const

inline

Definition at line 2776 of file Drawable.h.

{
return _x;
}

## x1() [1/2]

void Magick::PathQuadraticCurvetoArgs::x1 | ( | double | x1_ | ) |

inline

Definition at line 2754 of file Drawable.h.

{
_x1 = x1_;
}

## x1() [2/2]

double Magick::PathQuadraticCurvetoArgs::x1 | ( | void |  | ) | const

inline

Definition at line 2758 of file Drawable.h.

{
return _x1;
}

## y() [1/2]

void Magick::PathQuadraticCurvetoArgs::y | ( | double | y_ | ) |

inline

Definition at line 2781 of file Drawable.h.

{
_y = y_;
}

## y() [2/2]

double Magick::PathQuadraticCurvetoArgs::y | ( | void |  | ) | const

inline

Definition at line 2785 of file Drawable.h.

{
return _y;
}

## y1() [1/2]

void Magick::PathQuadraticCurvetoArgs::y1 | ( | double | y1_ | ) |

inline

Definition at line 2763 of file Drawable.h.

{
_y1 = y1_;
}

## y1() [2/2]

double Magick::PathQuadraticCurvetoArgs::y1 | ( | void |  | ) | const

inline

Definition at line 2767 of file Drawable.h.

{
return _y1;
}

## Field Documentation

## _x

double Magick::PathQuadraticCurvetoArgs::_x

private

Definition at line 2793 of file Drawable.h.

## _x1

double Magick::PathQuadraticCurvetoArgs::_x1

private

Definition at line 2791 of file Drawable.h.

## _y

double Magick::PathQuadraticCurvetoArgs::_y

private

Definition at line 2794 of file Drawable.h.

## _y1

double Magick::PathQuadraticCurvetoArgs::_y1

private

Definition at line 2792 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp